OGRE: Ogre::ProcessResourceNameScriptCompilerEvent Class Reference - OGRE Documentation

Public Types | Public Member Functions | Public Attributes | Static Public Attributes

# Ogre::ProcessResourceNameScriptCompilerEvent Class Reference
[General]

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ProcessResourceNameScriptCompilerEvent:
[legend]

List of all members.

## Public Types
enum | ResourceType { TEXTURE, MATERIAL, GPU_PROGRAM, COMPOSITOR }
## Public Member Functions
| ProcessResourceNameScriptCompilerEvent (ResourceType resourceType, const String &name)
## Public Attributes
ResourceType | mResourceType
String | mName
String | mType
## Static Public Attributes
static String | eventType

## Detailed Description

Definition at line 474 of file OgreScriptCompiler.h.

## Member Enumeration Documentation

enum Ogre::ProcessResourceNameScriptCompilerEvent::ResourceType

Enumerator:

  TEXTURE |
  MATERIAL |
  GPU_PROGRAM |
  COMPOSITOR |

Definition at line 477 of file OgreScriptCompiler.h.

## Constructor & Destructor Documentation

Ogre::ProcessResourceNameScriptCompilerEvent::ProcessResourceNameScriptCompilerEvent | ( | ResourceType | resourceType,
|  | const String & | name |
| ) |  |  |

Definition at line 488 of file OgreScriptCompiler.h.

## Member Data Documentation

String Ogre::ProcessResourceNameScriptCompilerEvent::eventType`[static]`

Definition at line 486 of file OgreScriptCompiler.h.

String Ogre::ProcessResourceNameScriptCompilerEvent::mName

Definition at line 485 of file OgreScriptCompiler.h.

ResourceType Ogre::ProcessResourceNameScriptCompilerEvent::mResourceType

Definition at line 484 of file OgreScriptCompiler.h.

String Ogre::ScriptCompilerEvent::mType`[inherited]`

Definition at line 330 of file OgreScriptCompiler.h.

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:01